Create Organization
Create an organization
Create an organization.
Request
URI
POST
https://api.example.local/v3/organizations
COPY
Request Body
Organization object that needs to be created
OrganizationCreateRequestBody
of type(s)
application/json
Optional
Show optional properties
{
"name": "string"
}
{
"name": "string",
"suspended": false,
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
}
}
Responses
201
Created
Returns
Organization
of type(s)
application/json
This response body class contains all of the following:
BaseSchema
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"suspended": false,
"relationships": {
"quota": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"domains": {
"href": "string",
"method": "string"
},
"quota": {
"href": "string",
"method": "string"
},
"default_domain": {
"href": "string",
"method": "string"
}
}
}
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
409
Conflict
Returns
Conflict
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
503
Service Unavailable
Returns
ServiceUnavailable
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/v3/organizations
Organizations Operations
GET
List Organizations
POST
Create Organization
GET
Get Organization
PATCH
Update Organization
DELETE
Delete Organization
GET
Get Default Domain For Organization
GET
Get Usage Summary For Organization
GET
List Users For Organization
GET
Get Default Isolation Segment For Organization
PATCH
Assign Default Isolation Segment For Organization